POST API/Vehicle/SetVehicleInfo
Request Information
URI Parameters
None.
Body Parameters
VehicleInfoM| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| vehicle_id | globally unique identifier |
None. |
|
| regNumber | string |
None. |
|
| mileage | integer |
None. |
|
| disabled | boolean |
None. |
|
| createDate | date |
None. |
|
| updateDate | date |
None. |
|
| updatePerson_id | globally unique identifier |
None. |
|
| disabledDate | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "a184b505-7a51-4c1b-8033-949eeea97337",
"vehicle_id": "355d2fba-4455-4a59-b21a-250902a1ba63",
"regNumber": "sample string 2",
"mileage": 1,
"disabled": true,
"createDate": "2026-07-16T03:17:25.7441345+05:00",
"updateDate": "2026-07-16T03:17:25.7441345+05:00",
"updatePerson_id": "fc4a8a39-ff86-47d6-903f-41b809700e48",
"disabledDate": "2026-07-16T03:17:25.7441345+05:00"
}
application/xml, text/xml
Sample:
<VehicleInfoM xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CarPark.Models.Basic"> <createDate>2026-07-16T03:17:25.7441345+05:00</createDate> <disabled>true</disabled> <disabledDate>2026-07-16T03:17:25.7441345+05:00</disabledDate> <id>a184b505-7a51-4c1b-8033-949eeea97337</id> <mileage>1</mileage> <regNumber>sample string 2</regNumber> <updateDate>2026-07-16T03:17:25.7441345+05:00</updateDate> <updatePerson_id>fc4a8a39-ff86-47d6-903f-41b809700e48</updatePerson_id> <vehicle_id>355d2fba-4455-4a59-b21a-250902a1ba63</vehicle_id> </VehicleInfoM>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
stringResponse Formats
application/json, text/json
Sample:
"sample string 1"
application/xml, text/xml
Sample:
<string xmlns="http://schemas.microsoft.com/2003/10/Serialization/">sample string 1</string>